Name:           axiom
Version:        1.2.14
Release:        2%{?dist}
Epoch:          0
Summary:        Axis Object Model
License:        ASL 2.0
Url:            http://ws.apache.org/commons/axiom/
Source0:        http://archive.apache.org/dist/ws/axiom/%{version}/axiom-%{version}-source-release.zip

Patch0:         port-to-mime4j-0.8.1.patch

BuildRequires:  maven-local
BuildRequires:  mvn(commons-io:commons-io)
BuildRequires:  mvn(commons-logging:commons-logging)
BuildRequires:  mvn(com.sun.xml.bind:jaxb-impl)
BuildRequires:  mvn(javax.mail:mail)
BuildRequires:  mvn(javax.xml.bind:jaxb-api)
BuildRequires:  mvn(jaxen:jaxen)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(net.sf.saxon:saxon)
BuildRequires:  mvn(org.apache:apache:pom:)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.james:apache-mime4j-core) >= 0.8.1
BuildRequires:  mvn(org.apache.maven.doxia:doxia-core)
BuildRequires:  mvn(org.apache.maven.plugins:maven-shade-plugin)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-metadata)
BuildRequires:  mvn(org.codehaus.woodstox:stax2-api)
BuildRequires:  mvn(org.codehaus.woodstox:woodstox-core-asl)
BuildRequires:  mvn(org.jvnet.jaxb2.maven2:maven-jaxb2-plugin)
BuildRequires:  mvn(org.osgi:osgi.cmpn)
BuildRequires:  mvn(org.osgi:osgi.core)
BuildRequires:  mvn(xalan:xalan)
BuildRequires:  mvn(xerces:xercesImpl)
BuildRequires:  mvn(xmlunit:xmlunit)

Requires:       mvn(org.apache.james:apache-mime4j-core) >= 0.8.1

BuildArch:      noarch

%description
AXIOM stands for AXis Object Model (also known as OM - Object Model)
and refers to the XML info-set model that was initially developed for
Apache Axis2.

%package javadoc
Summary:        API Documentation for %{name}

%description javadoc
%{summary}.

%prep
%setup -q
%patch0

# Disable plugins not needed for RPM builds
%pom_remove_plugin -r :maven-javadoc-plugin
%pom_remove_plugin -r :maven-source-plugin
%pom_remove_plugin -r :apache-rat-plugin
%pom_remove_plugin -r :gmaven-plugin

# Don't build and attach manuals due to unavailable plugin "com.agilejava.docbkx:docbkx-maven-plugin"
%pom_remove_plugin :docbkx-maven-plugin
%pom_remove_plugin :build-helper-maven-plugin

# No need to build dist assembly for RPM builds
%pom_remove_plugin :maven-assembly-plugin

# Change to modern OSGi dependencies
%pom_change_dep -r org.osgi:org.osgi.core org.osgi:osgi.core
%pom_change_dep -r org.osgi:org.osgi.compendium org.osgi:osgi.cmpn

# Mordern JREs supply these APIs
%pom_remove_dep :geronimo-activation_1.1_spec modules/axiom-{dom,parent,api,testutils,impl}
%pom_remove_dep :geronimo-stax-api_1.0_spec modules/axiom-{tests,parent,api,testutils,impl}

# Fix dep on mail API and saxon
%pom_change_dep :geronimo-javamail_1.4_spec javax.mail:mail:1.4 modules/axiom-{dom,parent,api,impl}
%pom_remove_dep :saxon-dom modules/axiom-dom-testsuite

# This plugin is used to get all possible stax implementations for testing against, which
# is impossible in Fedora; removing this means only testing against the JRE implementation
%pom_remove_plugin :maven-dependency-plugin modules/axiom-api

# Disable test suites due to unavailable deps "crimson", "org.ops4j.*"
%pom_disable_module modules/axiom-osgi-tests
%pom_disable_module modules/axiom-integration

# Don't build samples
%pom_disable_module modules/axiom-samples

# Don't ship tests
%mvn_package ":*-{tests,testsuite}" __noinstall
%mvn_package ":axiom-{build,test}utils" __noinstall

%build
# Skipping tests for now due to unexplained failures
%mvn_build -- -DskipTests

%install
%mvn_install

%files -f .mfiles
%doc *.txt
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE

%changelog
* Mon Apr 23 2018 Mat Booth <mat.booth@redhat.com> - 0:1.2.14-2
- Port to latest mime4j

* Tue Apr 17 2018 Mat Booth <mat.booth@redhat.com> - 0:1.2.14-1
- Update to newer upstream release

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0:1.2.12-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 24 2018 Mat Booth <mat.booth@redhat.com> - 0:1.2.12-18
- Remove dependency on APIs now supplied by the JRE and make use of pom macros
  instead of patching

* Fri Aug 18 2017 Mat Booth <mat.booth@redhat.com> - 0:1.2.12-17
- Re-generate BRs to fix FTBFS

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0:1.2.12-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0:1.2.12-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jul 21 2016 gil cattaneo <puntogil@libero.it> 0:1.2.12-14
- add missing BR

* Mon Jun 20 2016 gil cattaneo <puntogil@libero.it> 0:1.2.12-13
- add missing build requires: maven-bundle-plugin

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0:1.2.12-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.2.12-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jan 29 2015 gil cattaneo <puntogil@libero.it> 0:1.2.12-10
- introduce license macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.2.12-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Mar 25 2014 Michael Simacek <msimacek@redhat.com> - 0:1.2.12-8
- Use mvn_install for installation
- Remove all-in-one JAR (bundling)
- Cleanup BuildRequires

* Sun Oct 20 2013 Matt Spaulding <mspaulding06@gmail.com> - 0:1.2.12-7
- Fix FTBFS (#992007)
- Fixed NOTICE.txt name (should be NOTICE) and added to javadoc package

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.2.12-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.2.12-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 0:1.2.12-4
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.2.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Mar  7 2012 Andy Grimm <agrimm@gmail.com> - 0:1.2.12-2
- add jpackage-utils requirement
- remove non-ASL source files prior to building

* Wed Feb 15 2012 Andy Grimm <agrimm@gmail.com> - 0:1.2.12-1
- Initial build.
